Translation(s): English


Fcitx5

Fcitx 5 是一个输入法工具。

软件包状态

所有相关的软件包: Fcitx5 package family

在 Bullseye 及以后的版本才有完整的 Fcitx5 软件包。Buster 及以前的用户,请继续使用 fcitx,即 Fcitx4.

在 Bullseye 上安装 Fcitx5

简体中文用户

需要安装 fcitx5fcitx5-chinese-addons。然后登出桌面,并重新登录。 安装之后输入法不会自动加到 Fcitx5 中。需要使用配置工具手工添加新的输入法。可以在命令行中运行 fcitx5-configtool 或者右键系统托盘的键盘图标然后打开配置界面。安装命令:

apt install --install-recommends fcitx5 fcitx5-chinese-addons

注意加 --install-recommends 来安装推荐的软件包,这适合大部分用户。 但如果想尽量安装少的软件包,也可以试试(KDE用户为例):

apt install --no-install-recommends fcitx5 fcitx5-chinese-addons fcitx5-frontend-gtk3 fcitx5-frontend-qt5 fcitx5-module-xorg kde-config-fcitx5 im-config

Debian 使用 im-config 来自动配置输入法需要的环境变量。注意一定要安装这个软件包。

繁体中文用户

fcitx5-chinese-addons 提供了码表输入法。也可以额外安装 fcitx5-chewing 来使用注音输入法。

GNOME

GNOME 除了需要安装上文提到的软件包,还需要额外安装 gnome-shell-extension-kimpanel

Fcitx5 支持 Wayland,所以不需要再把桌面切换到 Xorg 模式。

注意 GNOME 用户可能还默认安装了 IBus,此时可以运行 im-config 来切换输入法。

主题包

除了自带的主题包,还打包了一款主题 fcitx5-material-color。可以在上游主页看到截图效果。

请在“Fcitx 配置”->“附加组件”->“Classic User Interface”->“Theme”中配置主题。

迁移 Fcitx4 数据

安装 fcitx5-config-qt 然后从桌面菜单中运行“Fcitx 5 迁移向导”。迁移 fcitx4 拼音和码表的数据,还需要安装 libime-bin

已知问题

  1. KDE Breeze、Papirus 等主题中的 fcitx 图标没有适配。 976603

  2. 私有的 Qt 应用如 wps 无法输入。
    这些应用内置了 Qt,没有使用系统 Qt,并且没有编译 fcitx5 相应的前端模块。但它们一般都会有 fcitx4 的前端模块。
    为了兼容这些应用,fcitx5 特意加了对 fcitx4 前端模块的支持。
    但不幸的是,im-config 的行为是将 QT_IM_MODULE 设置为 fcitx5(977203 )。这些私有 Qt 应用读了这个环境变量便不会去使用内置的 fcitx4 前端模块。
    所以我们需要修改 QT_IM_MODULE 环境变量,让这些 Qt 程序启用 fcitx4 前端模块。如修改这些程序的启动脚本,加入 export QT_IM_MODULE=fcitx

其他信息


CategoryKeyboard CategoryLocalization CategorySoftware